#include "ir_rcv.h"
#include "ir_buff.h"
#include "mcc_generated_files/pin_manager.h"

extern volatile uint8_t time_count;

void wait_leader()
{
    while (IR_OUT_GetValue() == 1) {
        time_count = 0;
    }
}

void ir_recieve()
{
    printf("ir_recieve---start!\r\n");
    ir_buff_index = 0;
    wait_leader();
    while (1) {
        time_count = 0;
        while (IR_OUT_GetValue() == 0) {

        }
        ir_buff[ir_buff_index++] = time_count;
        time_count = 0;
        while (IR_OUT_GetValue() == 1) {
            if (time_count > 250) {
                break;
            }
        }
        ir_buff[ir_buff_index++] = time_count;
        if (time_count > 250) {
            break;
        }
    }
    printf("ir_buff_index=%d\r\n", ir_buff_index);
    for (uint8_t i = 0; i < ir_buff_index; i++) {
        printf("%d, ", ir_buff[i]);
        if (i % 16 == 15) {
            printf("\r\n");
        }
    }
    printf("\r\n");
    printf("ir_recieve---end!\r\n");
}
